## powerdevil 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,17 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(PowerDevil)
-set(PROJECT_VERSION "5.18.6")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(ECMSetupVersion)
+include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -51,10 +52,17 @@
 
 find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)
 
+find_package(Libcap)
+set_package_properties(Libcap PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Needed for scheduled wakeup which can wake from suspend (CAP_WAKE_ALARM)"
+)
+set(HAVE_LIBCAP ${Libcap_FOUND})
+
 option(HAVE_DDCUTIL "DDCUtil library support" OFF)
 if(HAVE_DDCUTIL)
     find_package(DDCUtil REQUIRED)
-    add_compile_definitions(WITH_DDCUTIL)
+    add_definitions(-DWITH_DDCUTIL)
     set_package_properties(DDCUtil
         PROPERTIES DESCRIPTION "DDCUtil library support"
         TYPE OPTIONAL
@@ -71,10 +79,12 @@
 
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(-DQT_NO_FOREACH)
+
 add_subdirectory(daemon)
 add_subdirectory(kcmodule)
 add_subdirectory(doc)
 
+install( FILES powerdevil.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )
 
 # add clang-format target for all our real source files
